<log4net xmlns="http://csharptest.net/downloads/schema/log4net.xsd">
  <appender name="AllRollingFile" type="log4net.Appender.RollingFileAppender">
    <file value="log/" />
    <datePattern value="dd-MM-yyyy'.log'" />
    <staticLogFileName value="false" />
    <appendToFile value="true" />
    <maximumFileSize value="32MB" />
    <maxSizeRollBackups value="2" />
    <threshold value="Debug" />

    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %-5level %logger - %message%newline" />
    </layout>
  </appender>

  <appender name="ErrorRollingFile" type="log4net.Appender.RollingFileAppender">
    <file value="log/" />
    <datePattern value="dd-MM-yyyy'.err'" />
    <staticLogFileName value="false" />
    <appendToFile value="true" />
    <maximumFileSize value="32MB" />
    <maxSizeRollBackups value="2" />
    <threshold value="Warn" />

    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %-5level %logger - %message%newline" />
    </layout>
  </appender>

  <root>
    <level value="Debug" />
    <appender-ref ref="AllRollingFile" />
    <appender-ref ref="ErrorRollingFile" />
  </root>
</log4net>